Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_research do
      namespace :desktop do
        match "research_window" => "personal_researchs#research_window"
        resources :personal_researchs
        resources :plugin_intros
      end
      namespace :back_end do
	  
        match 'research_setting' => "researchs#research_setting" ,:as => :research_setting
		  
        resources :researchs do
          collection do
            get 'delete'
            get 'data_share'
          end
		  
          match "tag_quick_add" => "researchs#tag_quick_add" ,:as => :tag_quick_add
          match "tag_quick_edit" => "researchs#tag_quick_edit" ,:as => :tag_quick_edit
        end
		
        resources :personal_research_intros
        resources :tags
      end
      namespace :front_end do
        resources :researchs
      end
      namespace :plugin do
        resources :researchs
      end
      namespace :widget do
        match "researchs" => "researchs#index"
        match "home_list" => "researchs#home_list"
        match "reload_researchs" => "researchs#reload_researchs"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
